<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta content="width=device-width, initial-scale=1.0" name="viewport">
        <title>Field Groups</title>
        <style>
            body {
                font-family: sans-serif;
                box-sizing: border-box;
            }
            *, *::before, *::after {
                box-sizing: inherit;
            }
            form {
                background-color: rgba(85, 85, 85, 0.75);
                padding: 0.6em;
                border-radius: 0.4em;
            }
            form > * + * { margin-top: 1em; }
            fieldset { border: 2px solid #fefefe; }
            legend { color: #fff; }
            input { font-family: monospace; }
        </style>
    </head>
    <body>
        <h1>Field Groups</h1>

        <h2>Registration Form</h2>

        <form>
            <fieldset>
                <legend>Name</legend>
                <input name="firstName" placeholder="Your first/given name" type="text"/>
                <input name="lastName" placeholder="Your last/sur name" type="text"/>
            </fieldset>

            <fieldset>
                <legend>Address</legend>
                <input name="street" placeholder="Street name" type="text"/><br/>
                <input name="postCode" placeholder="Postal code" type="text"/>
                <input name="city" placeholder="City name" type="text"/>
            </fieldset>

            <fieldset>
                <legend>Message</legend>
                <textarea cols="50" name="msg" rows="5" placeholder="Type your message here..."></textarea>
            </fieldset>

            <button type="submit">Send</button>
            <button type="reset">Clear</button>
        </form>

    </body>
</html>
